## jmunit.framework.cldc11
Class AssertionFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  jmunit.framework.cldc11.AssertionFailedException

    public final class AssertionFailedException

extends java.lang.RuntimeException

A sub-class of RuntimeException used by the framework to manage a fail in a assertion.

Since:
  JMUnit 1.0
Author:
  Brunno Silva

Constructor Summary
`AssertionFailedException()` The default constructor.
`AssertionFailedException(java.lang.String message)` A constructor that takes a message that describes the exception in more detail.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionFailedException

    public AssertionFailedException()

  The default constructor.

  Since:
    JMUnit 1.0

### AssertionFailedException

    public AssertionFailedException(java.lang.String message)

  A constructor that takes a message that describes the exception in more detail.

  Parameters:
    `message` - An informative description of the exception.
  Since:
    JMUnit 1.1